> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apipositiongetparseerrorrows



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json post /api/Position/GetParseErrorRows
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/Position/GetParseErrorRows:
    post:
      tags:
        - Position
      operationId: GetParseErrorRows
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/GetParseErrorRowsRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/GetParseErrorRowsRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/GetParseErrorRowsRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/GetParseErrorRowsRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetParseErrorRowsResponse'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    GetParseErrorRowsRequest:
      example:
        ag_grid_query:
          value_cols:
            - agg_func: agg_func
              field: field
              id: id
              display_name: display_name
            - agg_func: agg_func
              field: field
              id: id
              display_name: display_name
          filter_model:
            - field: field
              filter_type: filter_type
            - field: field
              filter_type: filter_type
          start_row: 0
          row_group_cols:
            - agg_func: agg_func
              field: field
              id: id
              display_name: display_name
            - agg_func: agg_func
              field: field
              id: id
              display_name: display_name
          group_keys:
            - group_keys
            - group_keys
          sort_model:
            - col_id: col_id
              sort: sort
            - col_id: col_id
              sort: sort
          end_row: 6
        id: id
      properties:
        id:
          nullable: true
          type: string
        ag_grid_query:
          $ref: '#/components/schemas/AgGridQuery'
        $type:
          type: string
          enum:
            - >-
              Derivitec.Core.Mediators.Upload.Positions.GetParseErrorRowsRequest,
              Derivitec.Core.Mediators
      required:
        - $type
      type: object
    GetParseErrorRowsResponse:
      example:
        last_row: 0
        parse_errors:
          - tab: tab
            item_array:
              - ''
              - ''
            table_headers:
              - table_headers
              - table_headers
            message: message
            error_column: error_column
          - tab: tab
            item_array:
              - ''
              - ''
            table_headers:
              - table_headers
              - table_headers
            message: message
            error_column: error_column
        is_success: true
        error_messages:
          - error_messages
          - error_messages
      properties:
        last_row:
          format: int32
          type: integer
        parse_errors:
          items:
            $ref: '#/components/schemas/ParseErrorLite'
          nullable: true
          type: array
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Core.Mediators.Upload.Positions.GetParseErrorRowsResponse,
              Derivitec.Core.Mediators
      required:
        - $type
      type: object
    AgGridQuery:
      example:
        value_cols:
          - agg_func: agg_func
            field: field
            id: id
            display_name: display_name
          - agg_func: agg_func
            field: field
            id: id
            display_name: display_name
        filter_model:
          - field: field
            filter_type: filter_type
          - field: field
            filter_type: filter_type
        start_row: 0
        row_group_cols:
          - agg_func: agg_func
            field: field
            id: id
            display_name: display_name
          - agg_func: agg_func
            field: field
            id: id
            display_name: display_name
        group_keys:
          - group_keys
          - group_keys
        sort_model:
          - col_id: col_id
            sort: sort
          - col_id: col_id
            sort: sort
        end_row: 6
      properties:
        start_row:
          format: int32
          type: integer
        end_row:
          format: int32
          type: integer
        row_group_cols:
          items:
            $ref: '#/components/schemas/AgGridColumn'
          nullable: true
          type: array
        value_cols:
          items:
            $ref: '#/components/schemas/AgGridColumn'
          nullable: true
          type: array
        group_keys:
          items:
            type: string
          nullable: true
          type: array
        filter_model:
          items:
            $ref: '#/components/schemas/AgGridFilterBase'
          nullable: true
          type: array
        sort_model:
          items:
            $ref: '#/components/schemas/AgGridSortModel'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.ReportQuery.AgGridQuery, Derivitec.Web.Core
      required:
        - $type
      type: object
    ParseErrorLite:
      example:
        tab: tab
        item_array:
          - ''
          - ''
        table_headers:
          - table_headers
          - table_headers
        message: message
        error_column: error_column
      properties:
        item_array:
          items: {}
          nullable: true
          type: array
        message:
          nullable: true
          type: string
        error_column:
          nullable: true
          type: string
        tab:
          nullable: true
          type: string
        table_headers:
          items:
            type: string
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - Derivitec.Web.Models.ParseErrorLite, Derivitec.Web.Models
      required:
        - $type
      type: object
    AgGridColumn:
      example:
        agg_func: agg_func
        field: field
        id: id
        display_name: display_name
      properties:
        id:
          nullable: true
          type: string
        display_name:
          nullable: true
          type: string
        field:
          nullable: true
          type: string
        agg_func:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.ReportQuery.AgGridColumn, Derivitec.Web.Core
      required:
        - $type
      type: object
    AgGridFilterBase:
      discriminator:
        mapping:
          Derivitec.Web.Core.ReportQuery.AgGridDateFilter, Derivitec.Web.Core: '#/components/schemas/AgGridDateFilter'
          Derivitec.Web.Core.ReportQuery.AgGridFilter, Derivitec.Web.Core: '#/components/schemas/AgGridFilterMintlifyShape'
          Derivitec.Web.Core.ReportQuery.AgGridFilterBase, Derivitec.Web.Core: '#/components/schemas/AgGridFilterBaseMintlifyShape'
          Derivitec.Web.Core.ReportQuery.AgGridInFilterInt, Derivitec.Web.Core: '#/components/schemas/AgGridInFilterInt'
          Derivitec.Web.Core.ReportQuery.AgGridInFilterPortfolioType, Derivitec.Web.Core: '#/components/schemas/AgGridInFilterPortfolioType'
          Derivitec.Web.Core.ReportQuery.AgGridInFilterString, Derivitec.Web.Core: '#/components/schemas/AgGridInFilterStringMintlifyShape'
          Derivitec.Web.Core.ReportQuery.AgGridInFilterStringList, Derivitec.Web.Core: '#/components/schemas/AgGridInFilterStringList'
          Derivitec.Web.Core.ReportQuery.AgGridIntNumberFilter, Derivitec.Web.Core: '#/components/schemas/AgGridIntNumberFilter'
          Derivitec.Web.Core.ReportQuery.AgGridMultiFilter, Derivitec.Web.Core: '#/components/schemas/AgGridMultiFilter'
          Derivitec.Web.Core.ReportQuery.AgGridNumberFilter, Derivitec.Web.Core: '#/components/schemas/AgGridNumberFilter'
          Derivitec.Web.Core.ReportQuery.AgGridPnlLookbackSetFilter, Derivitec.Web.Core: '#/components/schemas/AgGridPnlLookbackSetFilter'
          Derivitec.Web.Core.ReportQuery.AgGridPortfolioTypeFilter, Derivitec.Web.Core: '#/components/schemas/AgGridPortfolioTypeFilter'
          Derivitec.Web.Core.ReportQuery.AgGridReportStatusFilter, Derivitec.Web.Core: '#/components/schemas/AgGridReportStatusFilter'
          Derivitec.Web.Core.ReportQuery.AgGridSetFilter, Derivitec.Web.Core: '#/components/schemas/AgGridSetFilter'
          Derivitec.Web.Core.ReportQuery.AgGridStringFilter, Derivitec.Web.Core: '#/components/schemas/AgGridStringFilter'
        propertyName: $type
      oneOf:
        - $ref: '#/components/schemas/AgGridDateFilter'
        - $ref: '#/components/schemas/AgGridFilterMintlifyShape'
        - $ref: '#/components/schemas/AgGridFilterBaseMintlifyShape'
        - $ref: '#/components/schemas/AgGridInFilterInt'
        - $ref: '#/components/schemas/AgGridInFilterPortfolioType'
        - $ref: '#/components/schemas/AgGridInFilterStringMintlifyShape'
        - $ref: '#/components/schemas/AgGridInFilterStringList'
        - $ref: '#/components/schemas/AgGridIntNumberFilter'
        - $ref: '#/components/schemas/AgGridMultiFilter'
        - $ref: '#/components/schemas/AgGridNumberFilter'
        - $ref: '#/components/schemas/AgGridPnlLookbackSetFilter'
        - $ref: '#/components/schemas/AgGridPortfolioTypeFilter'
        - $ref: '#/components/schemas/AgGridReportStatusFilter'
        - $ref: '#/components/schemas/AgGridSetFilter'
        - $ref: '#/components/schemas/AgGridStringFilter'
    AgGridSortModel:
      example:
        col_id: col_id
        sort: sort
      properties:
        col_id:
          nullable: true
          type: string
        sort:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.ReportQuery.AgGridSortModel, Derivitec.Web.Core
      required:
        - $type
      type: object
    AgGridDateFilter:
      properties:
        field:
          nullable: true
          type: string
        filter_type:
          nullable: true
          type: string
        type:
          enum:
            - in_range
            - equals
            - not_equal
            - less_than
            - greater_than
            - blank
            - not_blank
          type: string
        date_from:
          nullable: true
          type: string
        date_to:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.ReportQuery.AgGridDateFilter,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    AgGridFilterMintlifyShape:
      required:
        - $type
      type: object
      properties:
        field:
          nullable: true
          type: string
        filter_type:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.ReportQuery.AgGridFilter, Derivitec.Web.Core
    AgGridFilterBaseMintlifyShape:
      example:
        field: field
        filter_type: filter_type
      properties:
        field:
          nullable: true
          type: string
        filter_type:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.ReportQuery.AgGridFilterBase,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    AgGridInFilterInt:
      properties:
        field:
          nullable: true
          type: string
        filter_type:
          nullable: true
          type: string
        values:
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.ReportQuery.AgGridInFilterInt,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    AgGridInFilterPortfolioType:
      properties:
        field:
          nullable: true
          type: string
        filter_type:
          nullable: true
          type: string
        values:
          items:
            enum:
              - derivitec
              - enfusion
              - not_set
            type: string
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.ReportQuery.AgGridInFilterPortfolioType,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    AgGridInFilterStringMintlifyShape:
      properties:
        field:
          nullable: true
          type: string
        filter_type:
          nullable: true
          type: string
        values:
          items:
            type: string
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.ReportQuery.AgGridInFilterString,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    AgGridInFilterStringList:
      properties:
        field:
          nullable: true
          type: string
        filter_type:
          nullable: true
          type: string
        values:
          items:
            type: string
          nullable: true
          type: array
        type:
          enum:
            - not_populated
            - populated
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.ReportQuery.AgGridInFilterStringList,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    AgGridIntNumberFilter:
      properties:
        field:
          nullable: true
          type: string
        filter_type:
          nullable: true
          type: string
        filter:
          format: int32
          type: integer
        filter_to:
          format: int32
          type: integer
        type:
          enum:
            - equals
            - not_equal
            - less_than
            - less_than_or_equal
            - greater_than
            - greater_than_or_equal
            - in_range
            - blank
            - not_blank
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.ReportQuery.AgGridIntNumberFilter,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    AgGridMultiFilter:
      properties:
        field:
          nullable: true
          type: string
        filter_type:
          nullable: true
          type: string
        operator:
          nullable: true
          type: string
        conditions:
          items:
            $ref: '#/components/schemas/AgGridFilterBase'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.ReportQuery.AgGridMultiFilter,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    AgGridNumberFilter:
      properties:
        field:
          nullable: true
          type: string
        filter_type:
          nullable: true
          type: string
        filter:
          format: double
          type: number
        filter_to:
          format: double
          type: number
        type:
          enum:
            - equals
            - not_equal
            - less_than
            - less_than_or_equal
            - greater_than
            - greater_than_or_equal
            - in_range
            - blank
            - not_blank
          type: string
        double_precision:
          format: double
          type: number
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.ReportQuery.AgGridNumberFilter,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    AgGridPnlLookbackSetFilter:
      properties:
        field:
          nullable: true
          type: string
        filter_type:
          nullable: true
          type: string
        int_values:
          items:
            enum:
              - daily
              - month_to_date
              - quarter_to_date
              - year_to_date
              - annual
            type: string
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.ReportQuery.AgGridPnlLookbackSetFilter,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    AgGridPortfolioTypeFilter:
      properties:
        field:
          nullable: true
          type: string
        filter_type:
          nullable: true
          type: string
        filter:
          enum:
            - derivitec
            - enfusion
            - not_set
          type: string
        filter_to:
          enum:
            - derivitec
            - enfusion
            - not_set
          type: string
        type:
          enum:
            - equals
            - not_equal
            - less_than
            - less_than_or_equal
            - greater_than
            - greater_than_or_equal
            - in_range
            - blank
            - not_blank
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.ReportQuery.AgGridPortfolioTypeFilter,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    AgGridReportStatusFilter:
      properties:
        field:
          nullable: true
          type: string
        filter_type:
          nullable: true
          type: string
        filter:
          enum:
            - none
            - succeeded
            - failed
            - running
            - warning
          type: string
        filter_to:
          enum:
            - none
            - succeeded
            - failed
            - running
            - warning
          type: string
        type:
          enum:
            - equals
            - not_equal
            - less_than
            - less_than_or_equal
            - greater_than
            - greater_than_or_equal
            - in_range
            - blank
            - not_blank
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.ReportQuery.AgGridReportStatusFilter,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    AgGridSetFilter:
      properties:
        field:
          nullable: true
          type: string
        filter_type:
          nullable: true
          type: string
        values:
          items:
            type: string
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.ReportQuery.AgGridSetFilter, Derivitec.Web.Core
      required:
        - $type
      type: object
    AgGridStringFilter:
      properties:
        field:
          nullable: true
          type: string
        filter_type:
          nullable: true
          type: string
        filter:
          nullable: true
          type: string
        type:
          enum:
            - equals
            - not_equal
            - contains
            - not_contains
            - starts_with
            - ends_with
            - blank
            - not_blank
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.ReportQuery.AgGridStringFilter,
              Derivitec.Web.Core
      required:
        - $type
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````